
!!======================================================================

  SUBROUTINE out_nud_createfile(nb)

!&E---------------------------------------------------------------------
!&E                 ***  ROUTINE out_nud_createfile  ***
!&E
!&E ** Purpose :
!&E
!&E ** Description :
!&E
!&E ** Called by :
!&E
!&E ** External calls :
!&E
!&E ** Used ij-arrays :
!&E
!&E ** Modified variables :
!&E
!&E ** Reference :
!&E
!&E ** History :
!&E       !  2013-09  (V. Garnier) Original code
!&E
!&E---------------------------------------------------------------------
!! * Modules used





























































   USE parameters,ONLY : limin,limax,ljmin,ljmax,kmax,lchain,riosh,   &
                         imin,imax,jmin,jmax,rg_valmanq_io,rsh
   USE comvars2d, ONLY : riog_valid_min_h0,riog_valid_max_h0,         &
                         riog_valid_min_u,riog_valid_max_u,           &
                         riog_valid_min_temp,riog_valid_max_temp,     &
                         riog_valid_min_sal,riog_valid_max_sal,       &
                         riog_valid_min_xe,riog_valid_max_xe,         &
                         riog_valid_min_bz,riog_valid_max_bz
   USE comvars2d, ONLY : name_out_h0,name_out_hx,name_out_hy,name_out_u, &
                         name_out_v,name_out_uz,name_out_vz,name_out_temp, &
                         name_out_sal,name_out_xe,name_out_bz
   USE comvars2d, ONLY : lon2d_g,lat2d_g,h0,hx,hy,h0fond,lon2d,lat2d
   USE comvars2d, ONLY : out_dir,suffix
   USE comvars3d, ONLY : rhoref
   USE ionc4,     ONLY : ionc4_createfile,ionc4_gatt,ionc4_createvar,&
                         ionc4_write, ionc4_write_sig,&
                         ionc4_write_xy, ionc4_write_xyt, ionc4_vatt_chain
   USE comvars3d, ONLY : sig

   USE outtools,  ONLY : out_grid
   USE outnetcdf, ONLY : out_netcdf_conv
   USE output,    ONLY : iextmin,iextmax,jextmin,jextmax,stepi,stepj, &
                         igextmin,igextmax,jgextmin,jgextmax,        &
                         kextmin,kextmax,stepk
   USE toolmpi, ONLY : IPROC,NPROCS,ADD_ALL_MPI_INT,MPI_COMM_MARS,ADD_TAG



   INCLUDE 'mpif.h'


!! * Arguments
   INTEGER, INTENT(in) :: nb



   !PRINT*, 'exit OUT_NUD_CREATEFILE routine'

  END SUBROUTINE out_nud_createfile

!!======================================================================

  SUBROUTINE out_nud_save(nb)

!&E---------------------------------------------------------------------
!&E                 ***  ROUTINE out_nud_save  ***
!&E
!&E ** Purpose :
!&E
!&E ** Description :
!&E
!&E ** Called by :
!&E
!&E ** External calls :
!&E
!&E ** Used ij-arrays :
!&E
!&E ** Modified variables :
!&E
!&E ** Reference :
!&E
!&E ** History :
!&E       !  2013-09  (V. Garnier) Original code
!&E
!&E---------------------------------------------------------------------
!! * Modules used
   USE parameters, ONLY : limin,limax,ljmin,ljmax,kmax,valmanq,lchain,rg_valmanq_io,grav, &
                          rsh,rlg
   USE comvars2d,  ONLY : h0fond,h0,hx,hy,t
   USE comvars2d,  ONLY : name_out_u,name_out_v,name_out_uz,name_out_vz,name_out_temp, &
                          name_out_sal,name_out_xe,name_out_bz,out_dir,suffix
   USE comvarp2d,  ONLY : ssh
   USE comvars3d,  ONLY : rhoref
   USE ionc4,      ONLY : ionc4_write_time,ionc4_sync


!! * Arguments
   INTEGER, INTENT(in) :: nb



   !PRINT*, 'exit OUT_NUD_SAVE routine'

  END SUBROUTINE out_nud_save

